Bug 1000666 - SELinux is preventing /usr/bin/gnome-shell from read, write access on the chr_file rfkill.
SELinux is preventing /usr/bin/gnome-shell from read, write access on the chr...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
v850 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:c2073f35118c6c26541778955fe...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 00:26 EDT by Moez Roy
Modified: 2013-09-05 09:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-05 09:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-08-24 00:26:13 EDT
Description of problem:
SELinux is preventing /usr/bin/gnome-shell from read, write access on the chr_file rfkill.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that gnome-shell should be allowed read write access on the rfkill chr_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gnome-shell /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:wireless_device_t:s0
Target Objects                rfkill [ chr_file ]
Source                        gnome-shell
Source Path                   /usr/bin/gnome-shell
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           gnome-shell-3.9.90-1.fc21.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-71.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc6.git2.1.fc21.x86_64 #1
                              SMP Thu Aug 22 21:02:34 UTC 2013 x86_64 x86_64
Alert Count                   1
First Seen                    2013-08-23 21:24:36 PDT
Last Seen                     2013-08-23 21:24:36 PDT
Local ID                      970e10e7-7941-4222-8135-9f8b02726c50

Raw Audit Messages
type=AVC msg=audit(1377318276.458:435): avc:  denied  { read write } for  pid=1366 comm="gnome-shell" name="rfkill" dev="devtmpfs" ino=18474 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:wireless_device_t:s0 tclass=chr_file


type=SYSCALL msg=audit(1377318276.458:435): arch=x86_64 syscall=open success=no exit=EACCES a0=7fb457ee3e5c a1=2 a2=31c2db0 a3=7fff1eba5750 items=0 ppid=1287 pid=1366 auid=4294967295 uid=42 gid=42 euid=42 suid=42 fsuid=42 egid=42 sgid=42 fsgid=42 ses=4294967295 tty=(none) comm=gnome-shell exe=/usr/bin/gnome-shell subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: gnome-shell,xdm_t,wireless_device_t,chr_file,read,write

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc6.git2.1.fc21.x86_64
type:           libreport

Potential duplicate: bug 996822
Comment 1 Daniel Walsh 2013-08-26 15:53:20 EDT
Is this happening before you login or are you logging into the system and your context is still xdm_t?
Comment 2 Nicolas Mailhot 2013-09-05 02:04:07 EDT
Description of problem:
on up-to-date rawhide

Additional info:
reporter:       libreport-2.1.6
hashmarkername: setroubleshoot
kernel:         3.11.0-3.fc21.x86_64
type:           libreport
Comment 3 Daniel Walsh 2013-09-05 09:41:01 EDT
fixed in selinux-policy-3.12.1-76

Note You need to log in before you can comment on or make changes to this bug.